get pdf list by invoice id
curl --request GET \
--url https://sbx.api.easybilling.cloud/billing/template-engine/api/pdf/object/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://sbx.api.easybilling.cloud/billing/template-engine/api/pdf/object/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://sbx.api.easybilling.cloud/billing/template-engine/api/pdf/object/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"createdAt": "2026-08-01T03:36:49Z",
"updatedAt": "2026-08-01T03:36:49Z",
"createdBy": "2e89cf3f-2b60-403e-8eae-0d9b2f5a493e",
"updatedBy": "2e89cf3f-2b60-403e-8eae-0d9b2f5a493e",
"entityId": "9f156375-f196-4d97-ae2b-83ee5ea2705b",
"deleted": false,
"id": "c194b0e3-83d1-4488-830a-937ce6904832",
"name": "INV-000001827",
"objectType": "invoice",
"objectId": "5fe2e146-e4f5-4144-b353-2f73c263a624",
"version": 1,
"templateId": "9b863b2a-65be-4a67-a797-305f93adf7ca"
}
]invoice pdf
get pdf list by invoice id
GET
/
template-engine
/
api
/
pdf
/
object
/
{id}
get pdf list by invoice id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
the id of the object, e.g. invoice id
Body
application/json
The body is of type object.
Response
200 - application/json
⌘I
